## SPEC file for Perl module Test::MockObject

%define version    1.09
%define release    alt1

Name: perl-Test-MockObject
Version: %version
Release: %release

Summary: Perl extension for emulating troublesome interfaces

License: %perl_license
Group: Development/Perl

%define real_name Test-MockObject
URL: http://search.cpan.org/~chromatic/Test-MockObject/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source: http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/%real_name-%version.tar.gz

BuildArch: noarch

AutoReqProv: perl, yes
BuildRequires(pre): perl-devel rpm-build-licenses

# Automatically added by buildreq on Sun Dec 14 2008
BuildRequires: perl-CGI perl-Module-Build perl-Test-Exception perl-UNIVERSAL-can perl-UNIVERSAL-isa

%description
Perl module Test::MockObject allows to create objects that conform to particular
interfaces with very little code.  With it there are  no need to reimplement the 
behavior,  just the input and the output.  This module can be used for different
test purposes.


%prep
%setup -q -n %real_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%exclude %perl_vendor_man3dir/*
%perl_vendor_privlib/Test/MockObject*


%changelog
* Sun Dec 14 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.09-alt1
- New version 1.09

* Thu Aug 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.08-alt1
- New version 1.08
  - removed noisy diag() calls from successful tests (RT #19444, Adam Kennedy)
  - removed some magic from the @ISA assignment to work with 5.9.5 (Andreas Koenig)

* Thu Mar 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.07-alt1
- Initial build for ALT Linux Sisyphus

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.07-alt0
- Initial build
